Sync Status Details
- URL:https://Collaboration/workspaces/<workspaceID>/SyncStatus/<statusID>
- Version Introduced:10.6
Description
Provides a detailed description of status for a selected sync ID.
Request Parameters
Parameter | Details |
|---|---|
| f | The response format. Values: html | json |
JSON Response Example
{
"syncId": "2d2d2e63dd814384ba3e3c73387892c2",
"syncExecType": "scheduled",
"startTime": 1505255462015,
"endTime": 1505255545124,
"status": "completed",
"summary": "Completed sync successfully",
"participants": [
{
"participantId": "4a3f826e-7b2e-4c4a-a27b-b80a4d38e19b",
"taskStatus": [
{
"id": "c6875a104d9841198bf294749317e27a",
"syncId": "2d2d2e63dd814384ba3e3c73387892c2",
"peerPortalId": "4a3f826e-7b2e-4c4a-a27b-b80a4d38e19b",
"name": "Upload and import replication package to peer",
"status": "completed",
"startTime": 1505255541888,
"endTime": 1505255545116,
"modified": 1505255545116,
"summary": "Completed upload and import",
"results": [
{
"taskStatusId": "c6875a104d9841198bf294749317e27a",
"results": {
"succeededCount": 1,
"failedCount": 0,
"notProcessedCount": 0
},
"failed": [
],
"notProcessed": [
],
"created": 1505255545112
}
]
},
{
"id": "14db044ce10a4add825e5bce249826c9",
"syncId": "2d2d2e63dd814384ba3e3c73387892c2",
"peerPortalId": "4a3f826e-7b2e-4c4a-a27b-b80a4d38e19b",
"name": "Export replication package",
"status": "completed",
"startTime": 1505255514481,
"endTime": 1505255541888,
"modified": 1505255541888,
"summary": "Completed replication package export",
"results": [
{
"taskStatusId": "14db044ce10a4add825e5bce249826c9",
"results": {
"succeededCount": 1,
"failedCount": 0,
"notProcessedCount": 0
},
"failed": [
],
"notProcessed": [
],
"created": 1505255541887
}
]
},
{
"id": "59b86299cb8b424482e6b9871f7e207a",
"syncId": "2d2d2e63dd814384ba3e3c73387892c2",
"peerPortalId": "4a3f826e-7b2e-4c4a-a27b-b80a4d38e19b",
"name": "Check reachability, fetch items and diff",
"status": "completed",
"startTime": 1505255462028,
"endTime": 1505255508696,
"modified": 1505255508696,
"summary": "Item list comparison completed",
"results": [
]
}
]
}
]
}